Subject: bug#20183: 24.4.91; No resize handle to adjust width of Emacs windows

From: Drew Adams <[email-masked]>
Date: Thu, 2 Jul 2015 09:49:51 -0700 (PDT)

> There seems to be a technical problem with this.  Pop-up help
> disappears here as soon as I move the mouse over it.

Oh, right; my bad.  Something more than :help-echo is needed for
such a feature, no doubt.  Perhaps a key binding.  Or a key
binding that acts only when a tooltip is shown (but that won't
help if `tooltip-mode' is turned off).

The general idea would be to provide help on Emacs UI components
- whatever a user sees and might have questions about.  How we
might best do that, I don't know.

Long ago I wrote a command, `help-on-click/key' that goes in
that direction somewhat, but it doesn't handle anything Emacs
displays that Lisp cannot perceive or interact with.  And I
haven't bothered to update it since 1999 (!), so it obviously
does not reflect the many UI thingies added since then.

You access this command using `C-h RET' or via the Help menu.
You are then prompted to "Click mouse on something or type a
key sequence".  From the doc string:

 You can do any of the following:

    type a key sequence (e.g. `C-M-s')
    choose a menu item (e.g. [menu-bar files open-file])
    click on a scroll bar
    click on the mode line
    click in the minibuffer
    click on an Emacs-related name in a buffer: apropos is called
    click anywhere else in a buffer: its modes are described

 Help is generally provided using `describe-key' and the Emacs online
 manual (via `Info-goto-emacs-key-command-node').  If no entry is found
 in the index of the Emacs manual, then the manual is searched from the
 beginning for literal occurrences of KEY.

 If you click on a name in a buffer, then `apropos-documentation' and
 `apropos' are used to find information on the name.  These functions
 are not used when you do something besides click on a name.

 If you click elsewhere in a buffer other than the minibuffer, then
 `describe-mode' is used to describe the buffer's current mode(s).